Start a new asset upload session

Initiates a multipart upload by registering the file metadata with the server. Returns pre-signed URLs for each upload part. The file is split into 8 MB chunks (8388608 bytes) for multipart upload.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string | null

The name of the asset.

string | null

The Existing AssetId (file) that should be overwritten with this upload. Note that by specifying this attribute then the parentId, relativePath and displayName are all ignored.

string | null

The Content ID of the related content record to associate this asset to. Note that by specifying this attribute then the parentId and relativePath attributes are both ignored.

string
required

The overwrite option for the upload. The option you want to use when uploading the asset. The options are continue, replace, and cancel. Continue continues the upload from where it left off. Replace replaces an existing asset. Replace is the one you want to use if you are starting a new upload. Cancel cancels an uploading asset.

file
required

The FILE object or full or relative path of the file to upload. This is ignored if the ExistingAssetId or if the RelatedContentId has a value.

string | null

The Parent AssetId (folder) to add the upload to. Note that if there is a full relativePath, then it is appended to this parent path. If this value is omitted then the file will be added to the predefined incoming folder. This is ignored if the ExistingAssetId or if the RelatedContentId has a value.

string | null

The language of the asset to upload. If this is left blank then the default system language is used.

uploadReplaceOptions
array of strings | null

Gets or sets if the asset already exists on the server, this decides how to handle the situation with related assets.

uploadReplaceOptions
Responses
200

Success

400

Invalid parameters provided

401

The caller is not authenticated

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!